using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WindowsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.subChartTool1.Charts[0].Chart.Header.Visible = false;

            RepositionSubChart();
            fastLine1.FillSampleValues();
        }

        private void tChart1_Resize(object sender, EventArgs e)
        {
            // Adapt height of subchart resp. to chart.
            this.subChartTool1.Charts[0].Height = tChart1.Height;
        }

        private void tChart1_GetAxesChartRect(object sender, Steema.TeeChart.GetAxesChartRectEventArgs e)
        {
            // Adapt the height and location of the subchart.
            subChartTool1.Charts[0].Top = e.AxesChartRect.Top;
            subChartTool1.Charts[0].Height = e.AxesChartRect.Height;
        }

        private void RepositionSubChart()
        {
            int subChartMargin = 10;
            int subChartWidth = subChartTool1.Charts[0].Width;
            subChartTool1.Charts[0].Left = this.Right - subChartMargin - subChartTool1.Charts[0].Width;
            double chartMargin = ((double)(subChartWidth + 2 * subChartMargin) / this.Width) * 100;
            if (tChart1.Panel.MarginRight != chartMargin)
            {
                tChart1.Panel.MarginRight = chartMargin;
            }
        }

        private void tChart1_SizeChanged(object sender, EventArgs e)
        {
            RepositionSubChart();
        }
    }
}